> ## Documentation Index
> Fetch the complete documentation index at: https://docs.forestreet.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get team export endpoints

> Fetch the Export Via API endpoints associated with a specific team



## OpenAPI

````yaml get /v2/teams/{teamId}/endpoints
openapi: 3.0.0
info:
  title: Forestreet API
  version: 1.0.0
  description: API documentation for Forestreet API
servers:
  - url: https://rest.forestreet.com
    description: Forestreet API V2 server
security:
  - apiKeyAuth: []
  - bearerAuth: []
  - sessionIdQuery: []
tags: []
paths:
  /v2/teams/{teamId}/endpoints:
    get:
      tags:
        - Teams
      summary: Get team export endpoints
      description: Fetch the Export Via API endpoints associated with a specific team
      parameters:
        - schema:
            type: number
            nullable: true
            minimum: 0
          required: false
          name: teamId
          in: path
        - schema:
            type: number
            minimum: 1
            maximum: 100
            default: 10
            description: >-
              Number of items per page, default is 10, minimum is 1, maximum is
              100.
          required: false
          description: >-
            Number of items per page, default is 10, minimum is 1, maximum is
            100.
          name: pageSize
          in: query
        - schema:
            type: number
            minimum: 1
            default: 1
            description: Current page number, default is 1.
          required: false
          description: Current page number, default is 1.
          name: page
          in: query
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                filters:
                  type: object
                  properties:
                    name:
                      type: string
                      description: Filter endpoints by name.
                    description:
                      type: string
                      description: Filter endpoints by description.
                    url:
                      type: string
                      description: Filter endpoints by URL.
                    version:
                      type: integer
                      minimum: 1
                      description: Filter endpoints by version.
                  additionalProperties: false
                sortBy:
                  type: array
                  items:
                    type: object
                    properties:
                      field:
                        type: string
                        enum:
                          - name
                          - url
                        description: Fields to sort agents by.
                      order:
                        type: string
                        enum:
                          - asc
                          - desc
                        description: Sort order according to the specified field.
                    required:
                      - field
                      - order
                    additionalProperties: false
                  default:
                    - field: name
                      order: asc
                  description: Sorting criteria for the endpoints.
              additionalProperties: false
              description: >-
                Request body schema for getting team endpoints, used for
                filtering and sorting endpoints.
      responses:
        '200':
          description: Get team endpoints response
          content:
            application/json:
              schema:
                type: object
                properties:
                  metadata:
                    type: object
                    properties:
                      teamId:
                        type: number
                        nullable: true
                        minimum: 0
                        description: ID of the team whose endpoints are being retrieved.
                      filters:
                        type: object
                        properties:
                          name:
                            type: string
                            description: Filter endpoints by name.
                          description:
                            type: string
                            description: Filter endpoints by description.
                          url:
                            type: string
                            description: Filter endpoints by URL.
                          version:
                            type: integer
                            minimum: 1
                            description: Filter endpoints by version.
                        additionalProperties: false
                      sortBy:
                        type: array
                        items:
                          type: object
                          properties:
                            field:
                              type: string
                              enum:
                                - name
                                - url
                              description: Fields to sort agents by.
                            order:
                              type: string
                              enum:
                                - asc
                                - desc
                              description: Sort order according to the specified field.
                          required:
                            - field
                            - order
                          additionalProperties: false
                        description: Sorting criteria for the endpoints.
                      pagination:
                        type: object
                        properties:
                          totalItems:
                            type: number
                            description: >-
                              Total number of items for the returned dataset
                              after filtering.
                          totalPages:
                            type: number
                            description: >-
                              Total number of pages for the returned dataset
                              after filtering.
                          currentPage:
                            type: number
                            description: Current page number.
                          pageSize:
                            type: number
                            description: Number of items per page.
                          unfilteredTotalItems:
                            type: number
                            description: >-
                              Total number of items for the original dataset
                              before filtering.
                          unfilteredTotalPages:
                            type: number
                            description: >-
                              Total number of pages for the original dataset
                              before filtering.
                        required:
                          - totalItems
                          - totalPages
                          - currentPage
                          - pageSize
                        description: >-
                          Schema for pagination metadata, including total items,
                          total pages, current page, and page size.
                        example:
                          totalItems: 123
                          totalPages: 13
                          currentPage: 1
                          pageSize: 10
                          unfilteredTotalItems: 196
                          unfilteredTotalPages: 20
                    required:
                      - teamId
                      - pagination
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        name:
                          type: string
                          description: >-
                            Name of the endpoint, used to identify it in the
                            system.
                        description:
                          type: string
                          description: >-
                            Description of the endpoint, providing details about
                            its purpose and usage.
                        url:
                          type: string
                          format: uri
                          description: URL of the endpoint to be called.
                        headers:
                          type: object
                          nullable: true
                          additionalProperties:
                            type: string
                          description: >-
                            Headers to be included in the request to the
                            endpoint.
                        version:
                          type: integer
                          minimum: 1
                          description: >-
                            Version of the endpoint, stating compatibility of
                            the endpoint with the version of Export Via API
                            mechanism.
                      required:
                        - name
                        - description
                        - url
                        - headers
                        - version
                    description: Array of endpoints associated with the team.
                required:
                  - metadata
                  - data
        '401':
          description: Unauthorized - User not authenticated
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  errorCode:
                    type: string
                    enum:
                      - USER_NOT_CONFIRMED
                      - INVALID_CREDENTIALS
                      - INCOMPLETE_CREDENTIALS
                      - INVALID_SESSION_TOKEN
                      - FORCE_CHANGE_PASSWORD
                      - PASSWORD_RESET_REQUIRED
                      - PASSWORD_EXPIRED
                      - CODE_EXPIRED
                      - SESSION_EXPIRED
                      - UNAUTHORISED
                      - AUTHENTICATOR_ERROR
                      - SSO_ACCOUNT
                      - FORBIDDEN
                      - METHOD_NOT_ALLOWED
                      - INVALID_INPUT
                      - PATH_VALIDATION_FAILED
                      - QUERY_VALIDATION_FAILED
                      - BODY_VALIDATION_FAILED
                      - RESPONSE_VALIDATION_FAILED
                      - INVALID_OR_MALFORMED_JSON
                      - INTERNAL_SERVER_ERROR
                      - CONFIGURATION_ERROR
                      - SERVICE_UNAVAILABLE
                      - NOT_FOUND
                      - CONFLICT
                      - LIMIT_EXCEEDED
                      - REVIEW_ALREADY_PENDING
                      - REVIEW_NOT_PENDING
                      - REVIEW_PENDING
                      - REVIEW_INSUFFICIENT_DOMAINS
                      - QUOTA_EXCEEDED
                      - UNSUPPORTED_ENDPOINT_VERSION
                      - ENDPOINT_NOT_FOUND
                      - ENDPOINT_ALREADY_EXISTS
                  message:
                    type: string
                  detail:
                    type: object
                    additionalProperties:
                      nullable: true
                required:
                  - success
                  - errorCode
              examples:
                UNAUTHORISED:
                  value:
                    success: false
                    errorCode: UNAUTHORISED
                    message: Unauthorized - User not authenticated
        '403':
          description: Forbidden - You do not have access to this team
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  errorCode:
                    type: string
                    enum:
                      - USER_NOT_CONFIRMED
                      - INVALID_CREDENTIALS
                      - INCOMPLETE_CREDENTIALS
                      - INVALID_SESSION_TOKEN
                      - FORCE_CHANGE_PASSWORD
                      - PASSWORD_RESET_REQUIRED
                      - PASSWORD_EXPIRED
                      - CODE_EXPIRED
                      - SESSION_EXPIRED
                      - UNAUTHORISED
                      - AUTHENTICATOR_ERROR
                      - SSO_ACCOUNT
                      - FORBIDDEN
                      - METHOD_NOT_ALLOWED
                      - INVALID_INPUT
                      - PATH_VALIDATION_FAILED
                      - QUERY_VALIDATION_FAILED
                      - BODY_VALIDATION_FAILED
                      - RESPONSE_VALIDATION_FAILED
                      - INVALID_OR_MALFORMED_JSON
                      - INTERNAL_SERVER_ERROR
                      - CONFIGURATION_ERROR
                      - SERVICE_UNAVAILABLE
                      - NOT_FOUND
                      - CONFLICT
                      - LIMIT_EXCEEDED
                      - REVIEW_ALREADY_PENDING
                      - REVIEW_NOT_PENDING
                      - REVIEW_PENDING
                      - REVIEW_INSUFFICIENT_DOMAINS
                      - QUOTA_EXCEEDED
                      - UNSUPPORTED_ENDPOINT_VERSION
                      - ENDPOINT_NOT_FOUND
                      - ENDPOINT_ALREADY_EXISTS
                  message:
                    type: string
                  detail:
                    type: object
                    additionalProperties:
                      nullable: true
                required:
                  - success
                  - errorCode
              examples:
                FORBIDDEN:
                  value:
                    success: false
                    errorCode: FORBIDDEN
                    message: Forbidden - You do not have access to this team
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: >-
        Pass a static API key for every request, provided by your customer
        support.
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Bearer token authentication, using a sessionId generated by `GET
        /v2/auth/session`.
    sessionIdQuery:
      type: apiKey
      in: query
      name: sessionId
      description: >-
        Session ID passed as a query parameter for authentication, provided by
        `GET /v2/auth/session`.

````